HELM(1)

NAME

helm-dependency-build - rebuild the charts/ directory based on the requirements.lock file

SYNOPSIS

helm dependency build [flags] CHART

DESCRIPTION

Build out the charts/ directory from the requirements.lock file.

Build is used to reconstruct a chart's dependencies to the state specified in the lock file. This will not re-negotiate dependencies, as 'helm dependency update' does.

If no lock file is found, 'helm dependency build' will mirror the behavior of 'helm dependency update'.

OPTIONS

--keyring="~/.gnupg/pubring.gpg"
    keyring containing public keys

--verify[=false]
    verify the packages against signatures

OPTIONS INHERITED FROM PARENT COMMANDS

--debug[=false]
    enable verbose output

--home="~/.helm"
    location of your Helm config. Overrides $HELM_HOME

--host="localhost:44134"
    address of tiller. Overrides $HELM_HOST

--kube-context=""
    name of the kubeconfig context to use

--tiller-namespace="kube-system"
    namespace of tiller

SEE ALSO

helm-dependency(1)

HISTORY

19-May-2017 Auto generated by spf13/cobra